<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<header id="navigation-area">
    <ul class="nav-navbar" >
        <li class="menu"><img src="./../../assets/img/logo1.png"></li>
        <li class="menu"><a [routerLink]="['/']">Home</a></li>   
        <li class="menu" *ngIf="!currentUser()"><a  [routerLink]="['/stays/']">Hotels, villas and Apartments</a></li>
        
        <li class="menu" *ngIf="!currentUser()"><a  [routerLink]="['/users/']">Users</a></li>
        
        <li class="menu" *ngIf="!currentUser()"><a  [routerLink]="['/reservations']">Reservations</a></li>
        
        <li class="menu" *ngIf="currentUser()"><a  [routerLink]="['/my-reservation/']"> My Reservations</a></li>

        <li class="menu" *ngIf="currentUser()" ><a  [routerLink]="['/my-stays']">Stays</a></li>
     
    
        <li class="menu" style="float:right" *ngIf="currentUser()"><a  [routerLink]="['profile']">Profile</a></li>
               <li class="menu" style="float:right" *ngIf="!currentUser()"><a [routerLink]="['/login']">Sign in </a></li>
        <li class="menu" style="float:right" *ngIf="currentUser()"><a (click)="logout()">Log Out</a></li>
        <li class="menu" style="float:right" *ngIf="currentUser()"><a >{{currentUser().name + " "+currentUser().surname}}</a></li>
       
        <li class="menu" *ngIf="currentUser()">
        <div class="subnav subdiv">
            <button class="subnavbtn">ADD STAY<i class="fa fa-caret-down"></i></button>
            <div class="subnav-content">
                <a  [routerLink]="['/add-apartment']">Add apartment</a>
                <a  [routerLink]="['/add-hotel']">Add hotel</a>
                <a  [routerLink]="['/add-villa']">Add villa</a>
            </div>
        </div>
        </li>
        

    </ul>
</header>
</html>


